Rerun workflow
curl --request POST \
--url https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun \
--header 'X-API-Key: <api-key>'const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun")
.header("X-API-Key", "<api-key>")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun';
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/rerun",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>",
"data": {}
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>"
}Workflow
Rerun workflow
Trigger a new workflow run from a historical run. The API reuses the original run’s application, version, and inputs, and creates a new asynchronous run task.
POST
/
open
/
agentic_engine
/
laiye
/
v1
/
app
/
run
/
{run_id}
/
rerun
Rerun workflow
Authorizations
Workflow engine API access key.
Path Parameters
Run ID.
⌘I
